using System.Text.Json.Nodes;
using SqlSugar;

namespace OpenAuth.Repository.Domain.GoView;

/// <summary>
/// 组件模型类
/// </summary>
[SugarTable("t_goview_custom_component")]
public class GoviewCustomComponent
{
    [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
    public string Id { get; set; }
    
    /// <summary>
    /// 组件数据
    /// </summary>
    [SugarColumn(ColumnName = "content")]
    public string Content { get; set; }
}